OpenEuropa Standard Distribution

Installs: 2

Dependents: 0

Suggesters: 0

Security: 0

Stars: 0

Watchers: 1

Forks: 0

Open Issues: 0

Type:drupal-profile

dev-master 2020-02-07 05:03 UTC

This package is auto-updated.

Last update: 2022-04-28 20:23:17 UTC


README

This distribution requires all the OpenEuropa modules and provides multiple profiles to install a subset or all those modules. For more information on what these modules provide, please refer to the OpenEuropa documentation on the components.

Installation

Prerequisites

Because of 2 known issues in OpenEuropa modules before you require this profile package, you need to

1. make sure the require section of your composer.json contains the following:
{
    "require": {
        "easyrdf/easyrdf": "0.10.0-alpha.1 as 0.9.1"
    }
}

2. make sure the extra section of your composer.json contains the following:
{
    "extra": {
        "artifacts": {
            "openeuropa/oe_theme": {
                "dist": {
                    "url": "https://github.com/{name}/releases/download/{pretty-version}/{project-name}-{pretty-version}.tar.gz",
                    "type": "tar"
                }
            }
        }
    }
}

These issues have been reported in the OpenEuropa GitHub issue queue. If you feel like helping in solving these you are more than welcome to:

Composer command

After you have added the blocks of json into your projects composer.json you can run the following command:

composer require verbruggenalex/oesd